org.apache.struts2.sitemesh

## Class VelocityPageFilter

- java.lang.Object
- - com.opensymphony.sitemesh.webapp.SiteMeshFilter
  - - org.apache.struts2.sitemesh.VelocityPageFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class VelocityPageFilter
      extends com.opensymphony.sitemesh.webapp.SiteMeshFilter

  Core Filter for integrating SiteMesh into a Java web application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityPageFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(javax.servlet.FilterConfig filterConfig)`
    `protected com.opensymphony.sitemesh.DecoratorSelector` | `initDecoratorSelector(com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)`
    `static void` | `setVelocityManager(VelocityManager mgr)`

    - ### Methods inherited from class com.opensymphony.sitemesh.webapp.SiteMeshFilter

      `destroy, doFilter, initContentProcessor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityPageFilter

          public VelocityPageFilter()

  - ### Method Detail

    - #### setVelocityManager

          public static void setVelocityManager(VelocityManager mgr)

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Overrides:
        `init` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`

    - #### initDecoratorSelector

          protected com.opensymphony.sitemesh.DecoratorSelector initDecoratorSelector(com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)

      Overrides:
        `initDecoratorSelector` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.